Subject: Re: bug#18586: 24.4.50; "Not an in-range integer, float, or cons of integers" from x-focus-frame

From: Rupert Swarbrick <[email-masked]>
Date: Tue, 30 Sep 2014 11:01:12 +0100

On 30/09/2014 10:58, Leo Liu wrote:
>> ~> uptime
>>   09:57:15 up 192 days, 22:17, 47 users,  load average: 32.29, 32.12, 31.64
>
>> Maybe the corresponding number is smaller after reboot? The only other
>> server I have to hand has been up for 21 days and I still see the
>> error. Not sure whether that's a counter-example or whether 21 days is
>> still a long time...
>
> Sounds familiar to me. I also gdb'd before giveup. My server was up for
> 80 days. x_fill_property_data was passed some data it didn't expect.

That sounds plausible. If I have some time this evening, I'll poke around a 
little more to figure out where this is coming from.

> Maybe it would be easier if you can provide Paul access (if possible) to
> a server where the problem can be reproduced.

I'm sorry, but that's not going to be possible - it's not my home server, but 
lives on a company network. That said, I'm vaguely knowledgeable about X and 
quite knowledgeable about elisp and C and I'll happily dig on his behalf.

Rupert